---
- name: Disable SELinux
  ansible.posix.selinux:
    state: disabled

- name: Explicitly specifying positional matched groups in replacement
  ansible.builtin.replace:
    path: /etc/ssh/sshd_config
    regexp: ^(ListenAddress[ ]+)[^\n]+$
    replace: \g<1>0.0.0.0

# - name: Disable Root Login
#   template:
#     src: permitrootlogin.conf.j2
#     dest: /etc/ssh/sshd_config.d/01-permitrootlogin.conf
